Subject: "Ghostworld" by Simon R. Green

From: [email-masked] (Rex Croft)
Date: 21 May 93 23:43:29 GMT

"Ghostworld" by Simon R. Green
				- reviewed by Rex Croft  [email-masked]

This is the second in a trilogy which started with "Mistworld".
I bought "Mistworld" because I really enjoyed Simon Green's "Hawk & Fisher"
sword and magic detective series.  "Mistworld" features a woman Investigator
called Frost.  An Investigator is an Empire trained assassin -- especially
trained to out think and out fight aliens.  The Empire makes alien races
join the Empire or conquers them.  The main weapons are energy pistols
that take several minutes to recharge and swords.

The book starts with a pinnace descending to the surface of a world
through a storm.  On board is a Captain, an esper, Investigator Frost and
two marines.  It is an alien mining world and the main base is no longer
in contact and has put up a defensive force field.  What has gone wrong?

The Captain was in charge of the previous Empire effort to stop the aliens
from destroying the mining operation, and killed them all -- so where does
the malevolent force they experience on their landing come from.

Once they land the action is very slow until halfway through the book when
they break into the base.  Then ensues a standard human against alien fight,
dragged out for the rest of the book.  The book involves esp a lot.

A superficial book with little plot and two dimensional characters.
I was very disappointed.  I really don't think this book needed to be written.

%A  Simon R. Green
%T  Ghostworld
%I  ACE
%C  New York
%D  March 1993
%O  paperback, US$4.50
%P  186 pp.
%G  0-441-28626-7
%S  The Twilight of the Empire
%V  2
%O  Cover art by Sanjulian